tigase.jaxmpp.gwt.client

## Class ConnectionManager

- java.lang.Object
- - tigase.jaxmpp.gwt.client.ConnectionManager

- All Implemented Interfaces:
    SeeOtherHostHandler, Connector.StateChangedHandler, EventHandler, ContextAware

      public class ConnectionManager
      extends Object
      implements Connector.StateChangedHandler, SeeOtherHostHandler, ContextAware

  Author:
    andrzej

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ConnectionManager.ResolutionCallback`
    `static interface` | `ConnectionManager.Resolver`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.Connector.StateChangedHandler

      `Connector.StateChangedHandler.StateChangedEvent`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.connector.SeeOtherHostHandler

      `SeeOtherHostHandler.SeeOtherHostEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DNS`
    `static String` | `RESOLVER`
    `static String` | `URL_ON_FAILURE`
    `static String` | `WELL_KNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectionFailure(String seeHost, boolean hostFailure)`
    `boolean` | `initialize(Jaxmpp jaxmpp_)`
    `void` | `onSeeOtherHost(String seeHost, MutableBoolean handled)`
    `void` | `onStateChanged(SessionObject sessionObject, Connector.State oldState, Connector.State newState)` Called when StateChangedEvent is fired.
    `void` | `setContext(Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WELL_KNOWN

          public static final String WELL_KNOWN

      See Also:
        Constant Field Values

    - #### DNS

          public static final String DNS

      See Also:
        Constant Field Values

    - #### RESOLVER

          public static final String RESOLVER

      See Also:
        Constant Field Values

    - #### URL_ON_FAILURE

          public static final String URL_ON_FAILURE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConnectionManager

          public ConnectionManager()

  - ### Method Detail

    - #### connectionFailure

          public void connectionFailure(String seeHost,
                                        boolean hostFailure)

    - #### initialize

          public boolean initialize(Jaxmpp jaxmpp_)
                             throws JaxmppException

      Throws:
        `JaxmppException`

    - #### onSeeOtherHost

          public void onSeeOtherHost(String seeHost,
                                     MutableBoolean handled)

      Specified by:
        `onSeeOtherHost` in interface `SeeOtherHostHandler`

    - #### onStateChanged

          public void onStateChanged(SessionObject sessionObject,
                                     Connector.State oldState,
                                     Connector.State newState)
                              throws JaxmppException

      Description copied from interface: `Connector.StateChangedHandler`
      Called when StateChangedEvent is fired.
      Specified by:
        `onStateChanged` in interface `Connector.StateChangedHandler`
      Parameters:
        `sessionObject` - session object related to connection.
        `oldState` - previous connector state.
        `newState` - new connector state.
      Throws:
        `JaxmppException`

    - #### setContext

          public void setContext(Context context)

      Specified by:
        `setContext` in interface `ContextAware`

Copyright © 2006–2023 Tigase. All rights reserved.